Skip navigation
Currently Being Moderated

Flex and SOAP 1.2 ?

Jul 22, 2009 12:54 PM

I posted this question on other Adobe Flex forum too, sorry but I really don't know where to post it in order to obtain the response concerning the Flash Builder 4, so feel free to remove the one that is posted in wrong Forum

 

http://forums.adobe.com/message/2125685

 

-------------------------------------------------------

 

Hello,

 

I know that Flex Builder 3 is not compatible with SOAP 1.2 (only 1.1).

 

Can someone from Adobe please respond if you plan to make at least Flash Builder 4 compatible with SOAP 1.2 ?

 

For the record, SOAP 1.2 was officialy approuved in 2003 by W3C (W3C recommendation on June 24, 2003).

 

Thank you in advance for your response,

 

and thank you for all great software

 

Adnan

 
Replies
  • Currently Being Moderated
    Jul 22, 2009 2:16 PM   in reply to Adnan Doric

    Deferred for Gumbo means it won't be in Flex 4.  We are looking for folks in the community who are interested in working on this kind of code.

     

    Matt

     
    |
    Mark as:
  • Currently Being Moderated
    Jan 28, 2010 2:04 AM   in reply to matt_chotin

    Dear Matt,

     

    Why not?

    Now, I'm developing Flex project that comminucate with .NET 3.5 Web services (WCF) with my team and we have to use SOAP 1.1 and BasicHttpBinding. And you know, this option is so basic and does not support Security Mode, Reliable Messaging and even Transaction Flow... So, If we'll have this option in Flex 4 that will be so good for us and security of our projects in this case...

     

    Also, I'm intracting with Srinivas Annam about this subject in Adobe DevNet, you can see in this page:

    http://www.adobe.com/devnet/flex/articles/flashbuilder4_webservices_dc d.html

     

    I'm waiting for good news from you

    Cheers

    BornA

     
    |
    Mark as:
  • Currently Being Moderated
    Jan 28, 2010 10:47 AM   in reply to Mohammad Pourhossein

    Sorry, no further development on SOAP 1.2  in the flex 4 timeframe.  We're always looking for folks to step up and contribute.

     

    Matt

     
    |
    Mark as:
  • Currently Being Moderated
    Jan 28, 2010 12:59 PM   in reply to matt_chotin

    Ok.

    No problem... I'll waiting for this, in next versions of Flex after Gumbo

     

    Dear matt, thanks for your reply and all of your hard working on biggest kind of technology and greatest SDK in the world, my lovely Flex

    cheers

    BornA

     
    |
    Mark as:
  • Currently Being Moderated
    Mar 25, 2010 2:19 AM   in reply to Adnan Doric

    Hi,

     

    I am getting this exception, while calling the web service.

     

    Error: SOAP Response Version Mismatch
    at mx.rpc.soap::SOAPDecoder/decodeEnvelope()[C:\autobuild\3.3.0\framewor ks\project s\rpc\src\mx\rpc\soap\SOAPDecoder.as:266]
    at mx.rpc.soap::SOAPDecoder/decodeResponse()[C:\autobuild\3.3.0\framewor ks\project s\rpc\src\mx\rpc\soap\SOAPDecoder.as:236]
    at mx.rpc::AsyncResponder/result()[C:\autobuild\3.3.0\frameworks\project s\rpc\src\ mx\rpc\AsyncResponder.as:84]
    at mx.rpc::AsyncRequest/acknowledge()[C:\autobuild\3.3.0\frameworks\proj ects\rpc\s rc\mx\rpc\AsyncRequest.as:74]
    at DirectHTTPMessageResponder/completeHandler()[C:\autobuild\3.3.0\frame works\proj ects\rpc\src\mx\messaging\channels\DirectHTTPChannel.as:409]
    at flash.events::EventDispatcher/dispatchEventFunction()
    at flash.events::EventDispatcher/dispatchEvent()
    at flash.net::URLLoader/onComplete()

     

    Can you please help me out to check the present version i use and resolve the same.

     

    Thanks in advance.

    krishna

     
    |
    Mark as:
  • Currently Being Moderated
    Mar 25, 2010 2:24 AM   in reply to Krish.praveen

    which version of flash builder or flex SDK are u using? and what kind of web-service? such as simple .net web service, WCF web service or etc. ?!

     

    BornA

     
    |
    Mark as:
  • Currently Being Moderated
    Mar 25, 2010 5:01 AM   in reply to Mohammad Pourhossein

    Hi

     

    Here are the details.

     

    Flex Builder 3.0, Flex SDK 3.3, Simple .Net Web services (Connected throug Wizard).

     

    Hope this will help you out.

     

    Thanks

    Krishna.

     
    |
    Mark as:

More Like This

  • Retrieving data ...

Bookmarked By (0)

Answers + Points = Status

  • 10 points awarded for Correct Answers
  • 5 points awarded for Helpful Answers
  • 10,000+ points
  • 1,001-10,000 points
  • 501-1,000 points
  • 5-500 points